Page MenuHomePhabricator

PHP Notice: Undefined index: videoinfo
Closed, ResolvedPublic

Description

2016-11-19 20:49:42 v22015052656325188 droidwikiwiki: [265e84918d2f06eb4a3fe138] /w/index.php?diff=11956&oldid=11955&title=Hilfe:Beitragen   ErrorException from line 271 of /data/mediawiki/extensions/TimedMediaHandler/handlers/TextHandler/TextHandler.php: PHP Notice: Undefined index: videoinfo
#0 /data/mediawiki/extensions/TimedMediaHandler/handlers/TextHandler/TextHandler.php(271): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /data/mediawiki/extensions/TimedMediaHandler/handlers/TextHandler/TextHandler.php(168): TextHandler->getTextTracksFromData(array)
#2 /data/mediawiki/extensions/TimedMediaHandler/handlers/TextHandler/TextHandler.php(35): TextHandler->getRemoteTextSources()
#3 /data/mediawiki/extensions/TimedMediaHandler/TimedMediaTransformOutput.php(333): TextHandler->getTracks()
#4 /data/mediawiki/extensions/TimedMediaHandler/TimedMediaTransformOutput.php(143): TimedMediaTransformOutput->getHtmlMediaTagOutput()
#5 /data/mediawiki/main/includes/Linker.php(722): TimedMediaTransformOutput->toHtml(array)
#6 /data/mediawiki/main/includes/Linker.php(508): Linker::makeThumbLink2(Title, ForeignAPIFile, array, array, boolean, boolean)
#7 /data/mediawiki/main/includes/parser/Parser.php(5324): Linker::makeImageLink(Parser, Title, ForeignAPIFile, array, array, boolean, boolean, integer)
#8 /data/mediawiki/main/includes/parser/Parser.php(2323): Parser->makeImage(Title, array, LinkHolderArray)
#9 /data/mediawiki/main/includes/parser/Parser.php(2075): Parser->replaceInternalLinks2(string)
#10 /data/mediawiki/main/includes/parser/Parser.php(1290): Parser->replaceInternalLinks(string)
#11 /data/mediawiki/main/includes/parser/Parser.php(441): Parser->internalParse(string)
#12 /data/mediawiki/main/includes/content/WikitextContent.php(330): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#13 /data/mediawiki/main/includes/content/AbstractContent.php(497): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
#14 /data/mediawiki/main/includes/poolcounter/PoolWorkArticleView.php(140): AbstractContent->getParserOutput(Title, integer, ParserOptions)
#15 /data/mediawiki/main/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
#16 /data/mediawiki/main/includes/page/WikiPage.php(1108): PoolCounterWork->execute()
#17 /data/mediawiki/main/includes/diff/DifferenceEngine.php(666): WikiPage->getParserOutput(ParserOptions, integer)
#18 /data/mediawiki/main/includes/diff/DifferenceEngine.php(639): DifferenceEngine->getParserOutput(WikiPage, Revision)
#19 /data/mediawiki/main/includes/diff/DifferenceEngine.php(470): DifferenceEngine->renderNewRevision()
#20 /data/mediawiki/main/includes/page/Article.php(775): DifferenceEngine->showDiffPage(boolean)
#21 /data/mediawiki/main/includes/page/Article.php(513): Article->showDiffPage()
#22 /data/mediawiki/main/includes/actions/ViewAction.php(71): Article->view()
#23 /data/mediawiki/main/includes/MediaWiki.php(495): ViewAction->show()
#24 /data/mediawiki/main/includes/MediaWiki.php(289): MediaWiki->performAction(Article, Title)
#25 /data/mediawiki/main/includes/MediaWiki.php(851): MediaWiki->performRequest()
#26 /data/mediawiki/main/includes/MediaWiki.php(512): MediaWiki->main()
#27 /data/mediawiki/main/index.php(43): MediaWiki->run()
#28 {main}

Event Timeline

Florian created this task.Nov 19 2016, 8:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2016, 8:52 PM
Florian claimed this task.Nov 19 2016, 8:55 PM

Change 322438 had a related patch set uploaded (by Florianschmidtwelzow):
Check if a property exist, before accessing it

https://gerrit.wikimedia.org/r/322438

Change 322438 merged by jenkins-bot:
Check if a property exist, before accessing it

https://gerrit.wikimedia.org/r/322438

TheDJ added a subscriber: TheDJ.Nov 21 2016, 9:15 AM

@Florian Which wiki was this ? I'm wondering if there is not a deeper problem, where subtitles are being requested that should not be requested at all.

Florian added a comment.EditedNov 21 2016, 9:54 AM

@TheDJ: It's one of my wiki, so it's not a wmf wiki. However, the page was: https://www.droidwiki.de/w/index.php?diff=11956&oldid=11955&title=Hilfe:Beitragen (the only video there is a video from commons: https://commons.wikimedia.org/w/index.php?title=File%3AWikipedia_video_tutorial-1-Editing-de.ogv): I hope that helps :)

Right, so it pertained an InstantCommons transclusion. I'lll take a closer look at that. Thank you.

brion added a subscriber: brion.Jan 14 2017, 4:18 AM
TheDJ closed this task as Resolved.Jan 15 2017, 8:28 PM

Double checked, this is OK.